<?php

/*
 * @file
 *
 * Classes which will be loaded when text rendering is present on a page.
 */

class ShowMeDataSource_text extends ShowMeDataSource {

  function supportedTypeList() { return array('text/html'); }
  function supportedFieldTypes() { return array('text'); }

  function getTitle() { 
    return str_replace(array('plain', 'bold'), array("Plain Text", "Bold Text"), $this->getVariant());
  }

  /*
   * Implements getContent().
   *
   * In theory, it often is unnecessary to check for mimetype.   Most information will be delivered in
   * a compatible form or else this object would not have been chosen by its caller.
   */

  function getContent($element, $mimetype) {
    if (substr($mimetype, 0, 5) == 'text/') {
      $output = theme('text_formatter_plain', $element);
      if ($this->getVariant() == 'bold') {
        return '<b>'.$output.'</b>';
      }
      return $output;
    }
  }

}

/*
 * Implements hook_showme_object_factory().
 */

function showme_text_showme_object_factory($objkey) {
    return new ShowMeDataSource_text($objkey);
}
